/**
 * 配置
 * 表格列
 */
export const columns = [
	{
		title: "真实名称",
		dataIndex: "actualName",
		width: "12%",
	},
	{
		title: "手机号",
		dataIndex: "tel",
		width: "14%",
	},
	{
		title: "所属部门",
		dataIndex: "departmentName",
		width: "16%",
	},
	{
		title: "岗位",
		dataIndex: "positionName",
		width: "10%",
	},
	{
		title: "状态",
		dataIndex: "status",
		width: "16%",
		customRender: function (status) {
			switch (status) {
			case 1:
				return '正常'
			case 2:
				return '停用'
			default:
				break;
			}
		}
	},
	{
		title: "备注",
		dataIndex: "remake",
		width: "300",
	},
	{
		title: "操作",
		dataIndex: "action",
		key: "action",
		width: "180",
		fixed: "right",
		scopedSlots: { customRender: "action" },
	},
]
// 搜索项
export const searchForm = {
	keyword: "",
	departmentId: null,
	positionId: null,
}
// 分页
export const pagination = {
	current: 1,
	total: 0,
	pageSize: 10,
	showTotal: (total) => `共 ${total} 条`,
	showSizeChanger: true,
	showQuickJumper: true,
}